#define ERR_INTERNAL                             0
#define ERR_MAX_LEX_DEPTH                        1
#define ERR_OUT_OF_MEMORY                        2
#define ERR_LEX_UNEXPECTED_CHAR                  3
#define ERR_OTHER_ERROR                          4
#define ERR_ILLEGAL_KEYWORD                      5
#define ERR_ID_ENDS_IN_HYPHEN                    6
#define ERR_LEADING_ZEROS                        7
#define ERR_NUMBER_TOO_LARGE                     8
#define ERR_HEX_ENDS_IN_B                        9
#define ERR_MODULENAME_64                        10
#define ERR_MODULENAME_32                        11
#define ERR_TYPENAME_64                          12
#define ERR_TYPENAME_32                          13
#define ERR_OIDNAME_64                           14
#define ERR_OIDNAME_32                           15
#define ERR_ENUMNAME_64                          16
#define ERR_ENUMNAME_32                          17
#define ERR_BITNAME_64                           18
#define ERR_BITNAME_32                           19
#define ERR_UCIDENTIFIER_64                      20
#define ERR_LCIDENTIFIER_64                      21
#define ERR_TRAP_TYPE                            22
#define ERR_TOO_MANY_MODULE_IDENTITIES           23
#define ERR_NO_MODULE_IDENTITY                   24
#define ERR_OID_DEFVAL_TOO_LONG_SMIV2            25
#define ERR_OID_DEFVAL_TOO_LONG_SMIV1            26
#define ERR_INVALID_SMIV1_ACCESS                 27
#define ERR_INVALID_SMIV2_ACCESS                 28
#define ERR_SMIV2_WRITE_ONLY                     29
#define ERR_SMIV1_WRITE_ONLY                     30
#define ERR_INVALID_NOTIFICATION_VARIATION_ACCESS 31
#define ERR_INVALID_OBJECT_VARIATION_ACCESS      32
#define ERR_INVALID_VARIATION_ACCESS             33
#define ERR_NOTIFICATION_VARIATION_SYNTAX        34
#define ERR_NOTIFICATION_VARIATION_WRITESYNTAX   35
#define ERR_DEFVAL_SYNTAX                        36
#define ERR_NOTIFICATION_VARIATION_DEFVAL        37
#define ERR_NOTIFICATION_VARIATION_CREATION      38
#define ERR_MODULE_IDENTITY_NOT_FIRST            39
#define ERR_INVALID_SMIV1_STATUS                 40
#define ERR_INVALID_SMIV2_STATUS                 41
#define ERR_INVALID_CAPABILITIES_STATUS          42
#define ERR_OIDNAME_INCLUDES_HYPHEN              43
#define ERR_ILLEGAL_CHAR_IN_STRING               44
#define ERR_BIN_STRING_MUL8                      45
#define ERR_HEX_STRING_MUL2                      46
#define ERR_FLUSH_DECLARATION                    47
#define ERR_MAX_ACCESS_IN_SMIV1                  48
#define ERR_ACCESS_IN_SMIV2                      49
#define ERR_UNWANTED_MODULE                      50
#define ERR_MODULE_NOT_FOUND                     51
#define ERR_OBJECT_IDENTIFIER_REGISTERED         52
#define ERR_OPENING_INPUTFILE                    53
#define ERR_ILLEGAL_INPUTFILE                    54
#define ERR_UNKNOWN_OIDLABEL                     55
#define ERR_SINGLE_SUBIDENTIFIER                 56
#define ERR_SUBIDENTIFIER_VS_OIDLABEL            57
#define ERR_EXISTENT_OBJECT                      58
#define ERR_IDENTIFIER_NOT_IN_MODULE             59
#define ERR_MACRO                                60
#define ERR_CHOICE                               61
#define ERR_TYPE_SMI                             62
#define ERR_TYPE_TAG                             63
#define ERR_MACRO_ALREADY_EXISTS                 64
#define ERR_EXPORTS                              65
#define ERR_ILLEGALLY_QUALIFIED                  66
#define ERR_MISSING_DESCRIPTION                  67
#define ERR_OIDLABEL_NOT_FIRST                   68
#define ERR_UNKNOWN_TYPE                         69
#define ERR_LOCATION                             70
#define ERR_UNKNOWN_LOCATION_TYPE                71
#define ERR_ILLEGAL_RANGE_FOR_COUNTER            72
#define ERR_ILLEGAL_RANGE_FOR_PARENT_TYPE        73
#define ERR_ILLEGAL_SIZE_FOR_PARENT_TYPE         74
#define ERR_ILLEGAL_ENUM_FOR_PARENT_TYPE         75
#define ERR_SMIV2_SIGNED_NUMBER_RANGE            76
#define ERR_SMIV2_UNSIGNED_NUMBER_RANGE          77
#define ERR_INTEGER32_TOO_LARGE                  78
#define ERR_UNEXPECTED_VALUETYPE                 79
#define ERR_SMI_NOT_SUPPORTED                    80
#define ERR_SMING_NOT_SUPPORTED                  81
#define ERR_UNUSED_IMPORT                        82
#define ERR_MACRO_NOT_IMPORTED                   83
#define ERR_IMPLICIT_NODE                        84
#define ERR_SCALAR_READCREATE                    85
#define ERR_NAMEDNUMBER_INCLUDES_HYPHEN          86
#define ERR_NAMEDBIT_INCLUDES_HYPHEN             87
#define ERR_REDEFINITION                         88
#define ERR_EXT_REDEFINITION                     89
#define ERR_CASE_REDEFINITION                    90
#define ERR_EXT_CASE_REDEFINITION                91
#define ERR_PREVIOUS_DEFINITION                  92
#define ERR_INVALID_FORMAT                       93
#define ERR_REFINEMENT_ALREADY_EXISTS            94
#define ERR_OPTIONALGROUP_ALREADY_EXISTS         95
#define ERR_ILLEGAL_OID_DEFVAL                   96
#define ERR_UNEXPECTED_TYPE_RESTRICTION          97
#define ERR_UNKNOWN_CONFIG_CMD                   98
#define ERR_CACHE_CONFIG_NOT_SUPPORTED           99
#define ERR_SMIV2_OPAQUE_OBSOLETE                100
#define ERR_SPPI_OPAQUE_OBSOLETE                 101
#define ERR_DATE_CHARACTER                       102
#define ERR_DATE_LENGTH                          103
#define ERR_DATE_VALUE                           104
#define ERR_DATE_YEAR_2DIGITS                    105
#define ERR_DATE_YEAR                            106
#define ERR_DATE_MONTH                           107
#define ERR_DATE_DAY                             108
#define ERR_DATE_HOUR                            109
#define ERR_DATE_MINUTES                         110
#define ERR_DATE_IN_FUTURE                       111
#define ERR_DATE_IN_PAST                         112
#define ERR_INTEGER_IN_SMIV2                     113
#define ERR_MODULE_ALREADY_LOADED                114
#define ERR_SMIV2_BASETYPE_NOT_IMPORTED          115
#define ERR_BASETYPE_UNKNOWN                     116
#define ERR_ROW_SUBID_ONE                        117
#define ERR_ROWNAME_ENTRY                        118
#define ERR_TABLENAME_TABLE                      119
#define ERR_ROWNAME_TABLENAME                    120
#define ERR_SMIV2_TYPE_ASSIGNEMENT               121
#define ERR_ILLEGAL_IMPORT                       122
#define ERR_SMIV2_NESTED_TEXTUAL_CONVENTION      123
#define ERR_TABLE_ACCESS                         124
#define ERR_ROW_ACCESS                           125
#define ERR_COUNTER_ACCESS                       126
#define ERR_ENUM_SUBTYPE_OF                      127
#define ERR_BITS_SUBTYPE_OF                      128
#define ERR_ENUM_SUBTYPE                         129
#define ERR_BITS_SUBTYPE                         130
#define ERR_ENUM_NAME_REDEFINITION               131
#define ERR_ENUM_NUMBER_REDEFINITION             132
#define ERR_ENUM_ZERO                            133
#define ERR_BITS_NAME_REDEFINITION               134
#define ERR_BITS_NUMBER_REDEFINITION             135
#define ERR_BITS_NUMBER_TOO_LARGE                136
#define ERR_BITS_NUMBER_LARGE                    137
#define ERR_BITS_ZERO_NOT_NAMED                  138
#define ERR_RANGE_OUT_OF_BASETYPE                139
#define ERR_RANGE_OVERLAP                        140
#define ERR_RANGES_NOT_ASCENDING                 141
#define ERR_NAMED_NUMBERS_NOT_ASCENDING          142
#define ERR_EXCHANGED_RANGE_LIMITS               143
#define ERR_INDEX_BASETYPE                       144
#define ERR_INDEX_TOO_LARGE                      145
#define ERR_INDEX_NO_RANGE                       146
#define ERR_INDEX_NO_RANGE_MOD                   147
#define ERR_INDEX_STRING_NO_SIZE                 148
#define ERR_INDEX_STRING_NO_SIZE_MOD             149
#define ERR_INDEX_OID_NO_SIZE                    150
#define ERR_INDEX_OID_NO_SIZE_MOD                151
#define ERR_INDEX_RANGE_NEGATIVE                 152
#define ERR_INDEX_ENUM_NEGATIVE                  153
#define ERR_INDEX_NOT_COLUMN                     154
#define ERR_AUGMENT_NESTED                       155
#define ERR_AUGMENT_NO_ROW                       156
#define ERR_NODE_NOT_IN_GROUP                    157
#define ERR_NOTIFICATION_NOT_IN_GROUP            158
#define ERR_INVALID_GROUP_MEMBER                 159
#define ERR_MIXED_GROUP_MEMBERS                  160
#define ERR_BAD_LOWER_IDENTIFIER_CASE            161
#define ERR_UNDERSCORE_IN_IDENTIFIER             162
#define ERR_OID_REUSE                            163
#define ERR_OID_REGISTERED                       164
#define ERR_OID_RECURSIVE                        165
#define ERR_COMMENT_TERMINATES                   166
#define ERR_OBSOLETE_IMPORT                      167
#define ERR_GROUP_OBJECT_STATUS                  168
#define ERR_COMPLIANCE_GROUP_STATUS              169
#define ERR_COMPLIANCE_OBJECT_STATUS             170
#define ERR_GROUP_UNREF                          171
#define ERR_TYPE_UNREF                           172
#define ERR_SEQUENCE_ORDER                       173
#define ERR_SEQUENCE_NO_COLUMN                   174
#define ERR_SEQUENCE_MISSING_COLUMN              175
#define ERR_ILLEGAL_ROWSTATUS_DEFAULT            176
#define ERR_ILLEGAL_STORAGETYPE_DEFAULT          177
#define ERR_DEFVAL_OUT_OF_BASETYPE               178
#define ERR_DEFVAL_OUT_OF_RANGE                  179
#define ERR_DEFVAL_OUT_OF_ENUM                   180
#define ERR_TADDRESS_WITHOUT_TDOMAIN             181
#define ERR_INETADDRESS_WITHOUT_TYPE             182
#define ERR_INETADDRESSTYPE_SUBTYPED             183
#define ERR_INETADDRESS_SPECIFIC                 184
#define ERR_TRANSPORTADDRESS_WITHOUT_TYPE        185
#define ERR_TRANSPORTADDRESSTYPE_SUBTYPED        186
#define ERR_TRANSPORTADDRESS_SPECIFIC            187
#define ERR_NOTIFICATION_OBJECT_TYPE             188
#define ERR_NOTIFICATION_OBJECT_ACCESS           189
#define ERR_NOTIFICATION_OBJECT_MIX              190
#define ERR_EMPTY_DESCRIPTION                    191
#define ERR_EMPTY_REFERENCE                      192
#define ERR_EMPTY_ORGANIZATION                   193
#define ERR_EMPTY_CONTACT                        194
#define ERR_EMPTY_FORMAT                         195
#define ERR_EMPTY_UNITS                          196
#define ERR_INDEX_DEFVAL                         197
#define ERR_SEQUENCE_TYPE_MISMATCH               198
#define ERR_INDEX_ACCESSIBLE                     199
#define ERR_INDEX_NON_ACCESSIBLE                 200
#define ERR_REFINEMENT_NOT_LISTED                201
#define ERR_NOTIFICATION_NOT_REVERSIBLE          202
#define ERR_NOTIFICATION_ID_TOO_LARGE            203
#define ERR_NODE_PARENT_TYPE                     204
#define ERR_SCALAR_PARENT_TYPE                   205
#define ERR_TABLE_PARENT_TYPE                    206
#define ERR_TABLE_ROW_TYPE_MISMATCH              207
#define ERR_ROW_PARENT_TYPE                      208
#define ERR_COLUMN_PARENT_TYPE                   209
#define ERR_NOTIFICATION_PARENT_TYPE             210
#define ERR_GROUP_PARENT_TYPE                    211
#define ERR_COMPLIANCE_PARENT_TYPE               212
#define ERR_CAPABILITIES_PARENT_TYPE             213
#define ERR_SPPI_SIGNED64_NUMBER_RANGE           214
#define ERR_SPPI_UNSIGNED64_NUMBER_RANGE         215
#define ERR_SMI_CONSTRUCT_IN_PIB                 216
#define ERR_SPPI_CONSTRUCT_IN_MIB                217
#define ERR_POLICY_ACCESS_IN_PIB                 218
#define ERR_INVALID_SPPI_ACCESS                  219
#define ERR_INVALID_SPPI_STATUS                  220
#define ERR_INDEX_SHOULD_BE_PIB_INDEX            221
#define ERR_INDEX_USED_TWICE                     222
#define ERR_SUBJECT_CATEGORIES_MISSING           223
#define ERR_UNKNOWN_SUBJECT_CATEGORY             224
#define ERR_OBJECTS_MISSING_IN_OBJECT_GROUP      225
#define ERR_NOT_ACCESSIBLE_IN_PIB_ACCESS         226
#define ERR_REPORT_ONLY_IN_PIB_MIN_ACCESS        227
#define ERR_INDEX_AND_AUGMENTS_USED              228
#define ERR_INDEX_WITHOUT_PIB_INDEX              229
#define ERR_ERROR_NUMBER_RANGE                   230
#define ERR_CATEGORY_ID_RANGE                    231
#define ERR_SPPI_BASETYPE_NOT_IMPORTED           232
#define ERR_ROW_LACKS_PIB_INDEX                  233
#define ERR_PIB_INDEX_FOR_NON_ROW_TYPE           234
#define ERR_OPAQUE_IN_SYNTAX                     235
#define ERR_IPADDRESS_IN_SYNTAX                  236
#define ERR_TABLE_LACKS_PIB_ACCESS               237
#define ERR_PIB_ACCESS_FOR_NON_TABLE             238
#define ERR_INSTALL_ERRORS_FOR_NON_TABLE         239
#define ERR_UNIQUENESS_FOR_NON_ROW               240
#define ERR_NOT_A_COLUMN                         241
#define ERR_EXTENDS_WRONG_ROW_TYPE               242
#define ERR_PIB_INDEX_NOT_INSTANCEID             243
#define ERR_LACKING_PIB_REFERENCES               244
#define ERR_PIB_REFERENCES_WRONG_TYPE            245
#define ERR_PIB_REFERENCES_NOT_ROW               246
#define ERR_LACKING_PIB_TAG                      247
#define ERR_PIB_TAG_WRONG_TYPE                   248
#define ERR_SUBJECT_CATEGORIES_MISSING_SUBID     249
#define ERR_SUBJECT_CATEGORIES_ALL_WITH_SUBID    250
#define ERR_SUBJECT_CATEGORIES_ALL               251
#define ERR_PIB_TAG_TYPE                         252
#define ERR_ATTRIBUTE_NOT_IN_GROUP               253
#define ERR_OBJECTPTR_ELEMENT_IN_USE             254
#define ERR_OID_ADMIN_ZERO                       255
#define ERR_TYPE_STATUS_DEPRECATED               256
#define ERR_TYPE_STATUS_OBSOLETE                 257
#define ERR_COMPLIANCE_MEMBER_NOT_LOCAL          258
#define ERR_MODULENAME_SUFFIX                    259
#define ERR_TYPE_WITHOUT_FORMAT                  260
